| FFmpegKit Android API 4.4

Macros | Functions
saf_wrapper.h File Reference

Go to the source code of this file.

## Macros
#define | avio_closep android_avio_closep
#define | avformat_close_input android_avformat_close_input
#define | avio_open android_avio_open
#define | avio_open2 android_avio_open2
#define | avformat_open_input android_avformat_open_input

## Functions
int | android_avio_closep (AVIOContext **s)
void | android_avformat_close_input (AVFormatContext **s)
int | android_avio_open (AVIOContext **s, const char *url, int flags)
int | android_avio_open2 (AVIOContext **s, const char *url, int flags, const AVIOInterruptCB *int_cb, AVDictionary **options)
int | android_avformat_open_input (AVFormatContext **ps, const char *filename, ff_const59 AVInputFormat *fmt, AVDictionary **options)

## Macro Definition Documentation

## ◆ avformat_close_input

#define avformat_close_input android_avformat_close_input

Definition at line 33 of file saf_wrapper.h.

## ◆ avformat_open_input

#define avformat_open_input android_avformat_open_input

Definition at line 44 of file saf_wrapper.h.

## ◆ avio_closep

#define avio_closep android_avio_closep

Definition at line 30 of file saf_wrapper.h.

## ◆ avio_open

#define avio_open android_avio_open

Definition at line 36 of file saf_wrapper.h.

## ◆ avio_open2

#define avio_open2 android_avio_open2

Definition at line 40 of file saf_wrapper.h.

## Function Documentation

## ◆ android_avformat_close_input()

void android_avformat_close_input | ( | AVFormatContext ** | s | ) |

Definition at line 134 of file saf_wrapper.c.

## ◆ android_avformat_open_input()

int android_avformat_open_input | ( | AVFormatContext ** | ps,
|  | const char * | filename,
|  | ff_const59 AVInputFormat * | fmt,
|  | AVDictionary ** | options
| ) |  |

Definition at line 103 of file saf_wrapper.c.

## ◆ android_avio_closep()

int android_avio_closep | ( | AVIOContext ** | s | ) |

Definition at line 129 of file saf_wrapper.c.

## ◆ android_avio_open()

int android_avio_open | ( | AVIOContext ** | s,
|  | const char * | url,
|  | int | flags
| ) |  |

Definition at line 125 of file saf_wrapper.c.

## ◆ android_avio_open2()

int android_avio_open2 | ( | AVIOContext ** | s,
|  | const char * | url,
|  | int | flags,
|  | const AVIOInterruptCB * | int_cb,
|  | AVDictionary ** | options
| ) |  |

Definition at line 113 of file saf_wrapper.c.